[cp-patches] FYI: Better configure check for plugin support

Mark Wielaard mark at klomp.org
Sun Mar 18 23:58:48 UTC 2007


On Tue, 2007-03-13 at 14:41 +0100, Mark Wielaard wrote:
> Hi,
> 
> This patch makes sure that configure lets the user know when the plugin
> should be disabled because no plugin headers/libraries and/or the gtk+
> dependency is missing.
> 
> 2007-03-13  Mark Wielaard  <mark at klomp.org>
> 
>     * configure.ac (COMPILE_PLUGIN): Stop when no plugin headers found.
>     Also check for gtk+ dependency.

And if we need to use the same check here for gtk+ that we do for the
peers to get the same FLAGS and LIBS results. Done as follows:

2007-03-18  Mark Wielaard  <mark at klomp.org>

        * configure.ac (COMPILE_PLUGIN): Check for gtk+-2.0 >= 2.8 
        gthread-2.0 >= 2.2 and gdk-pixbuf-2.0

Committed,

Mark

diff -u -r1.198 configure.ac
--- configure.ac        17 Mar 2007 00:01:47 -0000      1.198
+++ configure.ac        18 Mar 2007 23:55:00 -0000
@@ -606,7 +606,7 @@
     fi
 
     PKG_CHECK_MODULES(GLIB, glib-2.0)
-    PKG_CHECK_MODULES(GTK, gtk+-2.0)
+    PKG_CHECK_MODULES(GTK, gtk+-2.0 >= 2.8 gthread-2.0 >= 2.2 gdk-pixbuf-2.0)
 
     AC_SUBST(MOZILLA_CFLAGS)
     AC_SUBST(MOZILLA_LIBS)

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: This is a digitally signed message part
Url : http://developer.classpath.org/pipermail/classpath-patches/attachments/20070319/a8c96814/attachment.pgp


More information about the Classpath-patches mailing list